ICONVCONFIG(8)

NOM
iconvconfig – Créer un cache de configuration de modules pour iconv

SYNOPSIS
iconvconfig [options] [répertoire]...

DESCRIPTION
La fonction iconv(3) utilise en interne des modules gconv pour convertir, à partir de ou vers, un jeu de caractères. Un fichier de configuration est utilisé pour déterminer les modules nécessaires pour une conversion. Le chargement et l’analyse ralentiraient les programmes qui utilisent iconv(3), aussi un mécanisme de cache est employé.

Le programme iconvconfig lit les fichiers de configuration de modules d’iconv et écrit un fichier de cache de configuration de modules gconv chargeable rapidement.

En plus des modules gconv fournis par le système, l’utilisateur peut indiquer des répertoires de module gconv personnalisés avec la variable d’environnement GCONV_PATH. Cependant, la mise en cache de configuration de modules iconv est utilisée uniquement si la variable d’environnement GCONV_PATH n’est pas établie.

OPTIONS

--nostdlib
    Ne pas rechercher dans le répertoire gconv par défaut du système, seulement dans les répertoires indiqués sur la ligne de commande.

-o fichier_sortie, --output=fichier_sortie
    Utiliser fichier_sortie pour la sortie au lieu de l’emplacement par défaut du cache du système.

--prefix=chemin
    Définir le préfixe à ajouter aux noms de chemin du système. Consultez FICHIERS ci-dessous. Par défaut, le préfixe est vide. En réglant le préfixe à toto, la configuration de modules gconv devrait être lue à partir de toto/usr/lib/gconv/gconv-modules et le cache devrait être écrit dans toto/usr/lib/gconv/gconv-modules.cache.

-?, --help
    Afficher un résumé de l'utilisation et quitter.

--usage
    Afficher une brève description sur l'utilisation et quitter.

-V, --version
    Afficher le numéro de version, la licence et l’exonération de garantie pour iconv.

CODE DE RETOUR
Zéro en cas de succès, autre en cas d’erreur.

FICHIERS

/usr/lib/gconv
    Chemin par défaut habituel des modules gconv.

/usr/lib/gconv/gconv-modules
    Fichier de configuration par défaut habituel du système des modules gconv.

/usr/lib/gconv/gconv-modules.cache
    Cache de configuration par défaut habituel du système des modules gconv.

Depending on the architecture, the above files may instead be located at directories with the path prefix /usr/lib64.

VOIR AUSSI
iconv(1), iconv(3)

COLOPHON
Cette page fait partie de la publication 5.13 du projet man-pages Linux. Une description du projet et des instructions pour signaler des anomalies et la dernière version de cette page peuvent être trouvées à l'adresse https://www.kernel.org/doc/man-pages/.

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <http://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.